Skip to content

Get Library Version Vulnerability Trends

Request

Returns the trend of the number of vulnerabilities in a library over past versions. Define the scope of the trend with the parameters 'before' denoting the number of versions before the current version, and 'after'. Does not support generic library types like Debian, RPM and Ruby

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

libraryUuidstringrequired

library UUID (get a project's library by running Library - Project > Get Project Libraries.

Query
startVersionstring
Default:""
beforeinteger, (int32)
Default:0
afterinteger, (int32)
Default:0
GET
/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/vulnerabilityTrends
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/vulnerabilityTrends?startVersion=&before=0&after=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(LibraryVulnerabilityTrendsDTO)
Response
{ "supportToken": "1171c60d", "retVal": { "trends": [] } }